Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Xfce startup errors
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Bumbleebee
n00b
n00b


Joined: 21 Mar 2017
Posts: 7

PostPosted: Tue Apr 04, 2017 1:41 pm    Post subject: Xfce startup errors Reply with quote

Hi, all!
Trying to master Gentoo. Got to the desktop environment. Install Xfce with help Gentoo manuals.
But during xfce startup there are many errors in console. I would like to know the reason these errors. Should I correct them or ignore them?

XFCE ouput: https://paste.pound-python.org/show/5SlAtgiCvVLNUq5UY9LI/.
USE flags: USE="-gnome -kde -qt4 vaapi".
XFCE_PLUGINS="battery brightness clock power".

I would be grateful for any information.
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3760
Location: Austro Bavaria

PostPosted: Tue Apr 04, 2017 4:11 pm    Post subject: Reply with quote

please

Code:
emerge wgetpaste


Code:
wgetpaste /var/log/Xorg.0.log


Code:
wgetpaste lspci -kk


Code:
wgetpaste /etc/portage/make.conf


or /etc/make.conf (when you use the old location)
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 38610
Location: 56N 3W

PostPosted: Tue Apr 04, 2017 4:44 pm    Post subject: Reply with quote

Bumbleebee,

Rather than Roman_Grubers
Code:
wgetpaste /etc/portage/make.conf

Code:
wgetpaste -c 'emerge --info'
is more useful but we need the other stuff too.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Bumbleebee
n00b
n00b


Joined: 21 Mar 2017
Posts: 7

PostPosted: Tue Apr 04, 2017 6:23 pm    Post subject: Reply with quote

Thanks for help. Below is required info:

Xorg.0.log - https://paste.pound-python.org/show/2GSE7QsHTNj7fjVHzxMw/
lspci -kk - https://paste.pound-python.org/show/DUVnV1giBYXmwT7xvlMi/
make.conf - https://paste.pound-python.org/show/N8zY8MCG87GC0IF8rqlB/
emerge --info - https://paste.pound-python.org/show/L1Eq07TYPKt7DMzGkG2P/
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3760
Location: Austro Bavaria

PostPosted: Tue Apr 04, 2017 6:39 pm    Post subject: Reply with quote

Your cpu for sure supports more: i5-5200U


https://gpo.zugaina.org/app-portage/cpuid2cpuflags

install that package and change your CPU_FLAGS_X86=. I assume your box supports a bit more than what oyu have

-- optional

maybe worth setting

ABI_X86="32 64"

or pure 64 bit:

ABI_X86="64"

--

I wonder why

Quote:
[ 492.849] (II) Server terminated successfully (0). Closing log file.


why the sever terminates itself

--

My personal recommmendation is: HArdware 3 years or older use amd64. Anything newer (which is the case for i5-5200U use ~amd64.

Especially in your case, as you want to use / have the intel gpu. the intel gpu needs the newest package usually, the newest intel gpu driver.

Also please, verify if you are using the correct intel gpu driver. I'm not sure if you are using the correct intel gpu driver.

Quote:
VIDEO_CARDS="intel i965"


looks the correct one

Code:
00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)
   Subsystem: Acer Incorporated [ALI] Broadwell-U Integrated Graphics
   Kernel driver in use: i915



I would not be surprised if here is again: kernel is new enough (usually guys use much older, keep that kernel), but mesa, intel gpu driver, xorg-server is dated.

I run for several years ~amd64 wihtout much fuss. I can not say if amd64 is really useful, that better as ~amd64.

--

I would reconfigure those cpu flags, rebuild world,

than i would check the kernel. Gentoo wiki on how to setup intel gpu on gentoo

usually a gpu need certain settings in the kernel, sometimes kernel flags for the bootloader, and certain setting (useflags, video-cards, input-devies) on the package level.

--

Code:
roman@ASUS-G75VW ~ $ groups
wheel audio cdrom video games cdrw usb vboxusers android plugdev roman wireshark dropbox


Please check if you are in those groups. roman is my user account ...

I doubt you need to be in dropbox, wireshark group or vboxusers

--

Suggestion:

Quote:
xfce4-session: No GPG agent found


No idea?

... why not emerge lxdm
and put lxdm to default runlevel,

and use that to login?
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 38610
Location: 56N 3W

PostPosted: Tue Apr 04, 2017 8:42 pm    Post subject: Reply with quote

Bumbleebee,

Your Xorg log is a normal startup and shut down, with nothing in the middle.
How do you start Xfce4?

Some of your errors/warning are dbus related. We can fix them if some of the functionality you need is missing but it looks like Xfce should start.

Do not set ABI_X86 explicitly in make.conf. Its set in your profile and only on rare occasions should you need to change it.
You have not reach one of those rare occasions yet.

It is worth setting CPU_FLAGS_X86= correctly to match your CPU. It helps performance on a few multimedia packages.
Its not your problem now.

Your Xorg log is missing the section where Xorg list all the open source drivers for your GPU. This implies that you have configured Xorg to use the modesetting driver.
Track down where that is set and remove it. Xorg will build a list of preferred drivers in performance order and use the best one.
It may not be the modesetting driver.
Its not stopping Xfce4 starting either, its a nice to have.

How do you start Xfce4?
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Bumbleebee
n00b
n00b


Joined: 21 Mar 2017
Posts: 7

PostPosted: Wed Apr 05, 2017 8:59 pm    Post subject: Reply with quote

Thanks for answers, Roman_Gruber and NeddySeagoon.

It took some time to follow yours recomendations. So in order.
I updated CPU_FLAGS_X86 variable. There is new make.conf https://paste.pound-python.org/show/zTc6cP3bowWlNnZnSkb2/.
I tried to change ACCEPT_KEYWORDS to "~amd64", but there were package conflicts when i run emerge update. Currently i dont know what to do in that situation. So I returned to "amd64".
I deleted modesetting driver. Now i have a question: what's wrong with it? When i can used it?

Now about questions.
1)I start xfce with
Quote:
startxfce4
command.
2)Message
Quote:
[ 492.849] (II) Server terminated successfully (0). Closing log file.
is there because i done logout from xfce session.
3)I do not plan to use desktop environment very often, so currently i do not want to emerge lxdm.

There is new Xorg.0.log https://paste.pound-python.org/show/IcVkEYwA9Twi6MdheBoA/ and xfce session log https://paste.pound-python.org/show/MEgZw0O1hq1O6D1MKt5B/.

I still want to get rid of xfce errors.

Best regards
Back to top
View user's profile Send private message
Roman_Gruber
Advocate
Advocate


Joined: 03 Oct 2006
Posts: 3760
Location: Austro Bavaria

PostPosted: Wed Apr 05, 2017 9:42 pm    Post subject: Reply with quote

just read the topic again and wondered, if the x server alone works, just a plain x session => startx

--

well you could emerge lxdm. try it if it fixes the issues and unmerge all packages. except a few more config files maybe in /etc there should not be any drawback ... or any other graphical login manager. I would not recommend slim, slim sometimes worked sometimes not on different machines here.

just for your information => /var/log/emerge.log => tells you what you did with portage.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 38610
Location: 56N 3W

PostPosted: Fri Apr 07, 2017 9:15 pm    Post subject: Reply with quote

Bumbleebee,

All the 'assertion' messages as for example,

Code:
xfce4-panel:3314): Gtk-CRITICAL **: IA__gtk_widget_show: assertion 'GTK_IS_WIDGET (widget)' failed

(xfce4-panel:3314): Gtk-CRITICAL **: gtk_box_pack: assertion 'GTK_IS_WIDGET (child)' failed

(xfce4-panel:3314): Gtk-CRITICAL **: IA__gtk_widget_show: assertion 'GTK_IS_WIDGET (widget)' failed


are information for the software developers. They are not errors. Users cannot do anything with them.

Going back to the top.
Code:
xfce4-session: No GPG agent found
is informational. Do you run a GPG agent?

Code:
(xfdesktop:3315): GVFS-RemoteVolumeMonitor-WARNING **: remote volume monitor with dbus name org.gtk.vfs.UDisks2VolumeMonitor is not supported

Is informational, not an error.
I don't use udisks so I don't know if it matters.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Bumbleebee
n00b
n00b


Joined: 21 Mar 2017
Posts: 7

PostPosted: Sat Apr 08, 2017 8:21 am    Post subject: Reply with quote

Thanks for answers.
Now I'm calm.

Best regards.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum